# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['pipen_report']

package_data = \
{'': ['*'],
 'pipen_report': ['frontend/*',
                  'frontend/public/*',
                  'frontend/public/assets/*',
                  'frontend/public/data/*',
                  'frontend/src/*',
                  'frontend/src/components/*',
                  'frontend/src/components/DataTable/*',
                  'frontend/src/components/Image/*',
                  'frontend/src/layouts/*',
                  'frontend/src/pages/_index/*',
                  'frontend/src/pages/proc/*']}

install_requires = \
['Markdown>=3,<4',
 'copier>=9,<10',
 'imagesize>=1.4,<2.0',
 'pipen>=0.16.0a8,<0.17.0',
 'python-slugify>=8.0,<9.0']

extras_require = \
{'runinfo': ['pipen-runinfo>=0.9.0a1,<0.10.0']}

entry_points = \
{'pipen': ['report = pipen_report.report_plugin:PipenReport'],
 'pipen_cli': ['cli-report = pipen_report.cli:PipenCliReport']}

setup_kwargs = {
    'name': 'pipen-report',
    'version': '0.22.0a1',
    'description': 'Report generation system for pipen',
    'long_description': '<p align="center">\n  <img src="docs/logo.png">\n</p>\n<p align="center">\nReport generation system for <a href="https://github.com/pwwang/pipen">pipen</a>.\n</p>\n<hr />\n\n## Installation\n\n```shell\n❯ pip install -U pipen-report\n\n# update configurations if needed:\n❯ pipen report config\n\n# then update frontend dependencies:\n❯ pipen report update\n```\n\n## Enabling/Disabling the plugin\n\nThe plugin is registered via entrypoints. It\'s by default enabled. To disable it: `plugins=[..., "no:report"]`, or uninstall this plugin.\n\n## Example\n\nSee the pipeline in `example/`, and the reports generated by the pipeline:\n\n[https://pwwang.github.io/pipen-report/example/output/REPORTS][2]\n\n## Documentation\n\nSee: [https://pwwang.github.io/pipen-report][3]\n\n[1]: https://github.com/pwwang/pipen\n[2]: https://pwwang.github.io/pipen-report/example/output/REPORTS\n[3]: https://pwwang.github.io/pipen-report\n',
    'author': 'pwwang',
    'author_email': 'pwwang@pwwang.com',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'https://github.com/pwwang/pipen-report',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'entry_points': entry_points,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
